# $Revision: 1.31 $, $Date: 2010/03/05 12:48:56 $
Summary:	KDE systray application to check your Gmail
Summary(pl.UTF-8):	Aplikacja do sprawdzania Gmaila w zasobniku KDE
Name:		kcheckgmail
Version:	0.6.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/kcheckgmail/%{name}-%{version}.tar.bz2
# Source0-md5:	12d375119d7048d6649532b0b0cae32b
Patch0:		%{name}-default_browser.patch
Patch1:		%{name}-desktop.patch
URL:		http://kcheckgmail.sourceforge.net/
BuildRequires:	cmake >= 2.4.5
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	rpmbuild(macros) >= 1.129
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE systray application to check your Gmail.

%description -l pl.UTF-8
Aplikacja do sprawdzania Gmaila w zasobniku KDE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_bindir}/kcheckgmail
%{_desktopdir}/kde4/kcheckgmail.desktop
%{_iconsdir}/*/*/*/*
%{_datadir}/apps/%{name}
%{_mandir}/man1/kcheckgmail.1*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kcheckgmail.spec,v $
Revision 1.31  2010/03/05 12:48:56  glen
- move towards xdg-open (btw: iceweasel pkg does provide firefox binary)

Revision 1.30  2010/03/05 12:47:13  glen
- lib64 fix, cmake build type fix
  rationale: use templates-specs/kde4.spec if you do not know the stuff from top of your head!

Revision 1.29  2010/03/05 10:56:57  lisu
- rename -firefox-name.patch -> -default_browser.patch (iceweasel used instead of mozilla-firefox)

Revision 1.28  2010/03/05 10:46:31  lisu
- updated to 0.6.0
- change build system to cmake (proper BRs, remove useless stuff, etc.)
- use its own .desktop file (-desktop.patch), remove old one
- works nice with kde4

Revision 1.27  2009/07/02 21:12:31  hawk
- auotmake 1.11 fix

Revision 1.26  2008/12/16 08:52:35  lisu
- 0.5.7.7

Revision 1.25  2008/11/28 09:14:21  lisu
- 0.5.7.6

Revision 1.24  2007/12/19 14:15:40  lisu
- add missing change to previous commit log

Revision 1.23  2007-12-18 20:23:06  lisu
- 0.5.7.4
- -pl.po-update.patch applied in new version

Revision 1.22  2007-11-18 12:21:55  lisu
- 0.5.7.3

Revision 1.21  2007-10-08 17:35:22  lisu
- 0.5.7.2

Revision 1.20  2007/08/22 18:12:21  lisu
- 0.5.7.1

Revision 1.19  2007/08/04 10:20:46  qboosh
- dropped unsermake
- don't replace pl.po with outdated one, add pl.po-update patch instead

Revision 1.18  2007/08/04 09:25:44  qboosh
- cleanup
- include man page

Revision 1.17  2007/07/26 21:24:23  lisu
- 0.5.7
- am.patch no needed
- kde-ac260.patch doesn't work in this version (is it unneeded?)

Revision 1.16  2007/06/20 22:17:23  lisu
- up to 0.5.6

Revision 1.15  2007/03/30 19:31:32  darekr
- added %doc

Revision 1.14  2007/03/30 19:26:24  darekr
- added -ac260 and -am patches

Revision 1.13  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.11  2006/08/09 22:03:57  adamg
- release 1

Revision 1.10  2005/11/05 08:47:51  jack
- updated to 0.5.5

Revision 1.9  2005/08/17 20:21:34  jack
- updated to 0.5.4
- temporary added external po-file, because that one from sources has damaged encoding

Revision 1.8  2005/05/07 18:39:55  darekr
- unify

Revision 1.7  2005/05/01 21:41:19  glen
- firefox name patch

Revision 1.6  2005/05/01 19:44:36  glen
- added fixed desktop file

Revision 1.5  2005/01/27 17:43:11  jack
- updated to 0.5.3a

Revision 1.4  2005/01/15 11:22:45  darekr
- sed 4.0

Revision 1.3  2005/01/13 17:32:11  jack
- added polish translation - please check it! It's only 72 lines (15 lines left!)
  If it be finished it could be send to author!
- f3702313199fb58b2a825a02b4be26cd  kcheckgmail-pl.po

Revision 1.2  2004/12/29 18:17:49  qboosh
- pl and files fixes

Revision 1.1  2004/12/28 18:34:07  jack
- initial release based on kdepackage-template.spec (thx djurban)
